View Issue Details

IDProjectCategoryView StatusLast Update
0000579XMB1Bugspublic2020-09-16 05:29
ReporterlottosAssigned Tomiqrogroove 
PrioritylowSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version1.9.12Fixed in Version1.9.12 
Summary0000579: Has html removal bug 577 affected 'news and updates' on index page?
DescriptionViewing the alpha forum - in the 'news and updates' area shows for example:
< strong >Welcome to your new XMB Forum!< /strong > [less the space characters in the html tags]

Related to https://bugs.xmbforum2.com/view.php?id=577 ?
TagsNo tags attached.
MySQL Version
PHP Version
Web Server
Browser
FlagsSchema Updates
Original Reporter
SVN Revision2853

Relationships

related to 0000577 resolvedmiqrogroove Don't Allow HTML in Member Posts 

Activities

lottos

2020-09-04 16:37

updater   ~0000406

Let's try that again:

Welcome to your new XMB Forum!

less the space characters in the html tags

miqrogroove

2020-09-05 08:29

administrator   ~0000407

You might be seeing a typo that I put in the control panel. This was all updated in the trunk code.

https://sourceforge.net/p/xmb-forum/code/2824/tree/xmb19x/trunk/source/install/cinst.php#l287

If there's anything else, attach a screenshot.

miqrogroove

2020-09-05 08:41

administrator   ~0000408

More thoughts: The ticker text field supported both BBcode and HTML until now. I switched it to BBcode only. I guess we could just as easily make it HTML only. Or add another option to choose between them. For the sake of security I want to stop mixing the two languages.

miqrogroove

2020-09-16 05:27

administrator   ~0000411

I added the option to switch between HTML and BBcode in the news ticker so administrators will still be able to use either language. Switched the default back to HTML.

Issue History

Date Modified Username Field Change
2020-09-04 16:08 lottos New Issue
2020-09-04 16:37 lottos Note Added: 0000406
2020-09-04 16:38 lottos Description Updated View Revisions
2020-09-04 16:39 lottos Description Updated View Revisions
2020-09-05 08:29 miqrogroove Assigned To => miqrogroove
2020-09-05 08:29 miqrogroove Status new => resolved
2020-09-05 08:29 miqrogroove Resolution open => no change required
2020-09-05 08:29 miqrogroove Note Added: 0000407
2020-09-05 08:41 miqrogroove Note Added: 0000408
2020-09-05 08:45 miqrogroove Status resolved => acknowledged
2020-09-05 08:45 miqrogroove Resolution no change required => open
2020-09-05 08:45 miqrogroove Target Version => 1.9.12
2020-09-16 05:27 miqrogroove Status acknowledged => resolved
2020-09-16 05:27 miqrogroove Resolution open => fixed
2020-09-16 05:27 miqrogroove Fixed in Version => 1.9.12
2020-09-16 05:27 miqrogroove Flags => Schema Updates
2020-09-16 05:27 miqrogroove SVN Revision => 2853
2020-09-16 05:27 miqrogroove Note Added: 0000411
2020-09-16 05:29 miqrogroove Relationship added related to 0000577